#3595 closed task (fixed)

Deprecate rtems_rate_monotonic_period_time_t

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: rtems Version: 5
Severity: normal Keywords: qualification
Cc: Blocked By:
Blocking: #3596

Description

The rtems_rate_monotonic_period_time_t typedef as no corresponding API. It violates the POSIX namespace. A user can do nothing with it. It is only used in cpukit/include/rtems/rtems/ratemon.h in RTEMS. Deprecate it in this release.

Change History (3)

comment:1 Changed on Nov 7, 2018 at 1:01:09 PM by Sebastian Huber

Blocking: 3596 added

comment:2 Changed on Nov 9, 2018 at 6:26:22 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 1e039fb3/rtems:

rtems: Deprecate rtems_rate_monotonic_period_time_t

The rtems_rate_monotonic_period_time_t typedef as no corresponding API.
It violates the POSIX namespace. A user can do nothing with it.

Close #3595.

comment:3 Changed on Jun 23, 2021 at 7:16:03 AM by Sebastian Huber

Keywords: qualification added
Note: See TracTickets for help on using tickets.